package com.book.server.controller;

import com.book.dao.cps.pojo.User;
import com.book.server.common.entity.Result;
import com.book.server.service.UserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 用户
 */
@RestController
@RequestMapping("/api/user")
@Slf4j
public class UserController extends BaseController {
    @Autowired
    private UserService userService;

    /**
     * 获取用户基本信息
     *
     * @param openId 微信 openId
     * @return
     */
    @GetMapping("/getUser")
    public Result<User> getUserByOpenId(String openId) {
        User user = userService.getUserByOpenId(openId);
        return Result.byObject(user);
    }
}
